# Generated by go2rpm
%bcond_without check

# https://github.com/euank/go-kmsg-parser
%global goipath         github.com/euank/go-kmsg-parser
Version:                2.0.1

%gometa

%global common_description %{expand:
This package contains a library to allow parsing the /dev/kmsg device in Linux.
This device provides a read-write interface to the Linux Kernel's ring buffer.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Simpler parser for the /dev/kmsg format

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%package -n    godmesg
Summary:       %{summary}

%description -n godmesg
A simple cli-tool that functions similarly to dmesg --ctime --follow. This code
serves both as a usage example and as a simple way to verify it works how you'd
expect on a given system.

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n godmesg
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon May 13 00:30:34 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.1-2
- Update to new macros

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.1-1
- First package for Fedora
